Subject: Re: [sipcore] Milestone to revise RFC 3265: Conclusion

From: Gonzalo Camarillo <[email-masked]>
Date: Thu, 17 Sep 2009 13:47:28 +0300

Folks,

I did not see any follow-ups on the email below. It is important that we 
all are on the same page regarding the scope of this work. So, please, 
comment.

Thanks,

Gonzalo
SIPCORE co-chair

DRAGE, Keith (Keith) wrote:
> So I would like to see agreement that:
> 
> 1)	rfc3625bis implementations are expected to be both forward and backward compatible with RFC 3265 implementations except where changes have been explicitly agreed to solve interoperability problems (i.e. of the order of RFC 3265 was so unclear in what should happen that any judgement of compatibility issues is impossible). This may be obvious to some people, but this is the first bis document we have done for SIP (apart from RFC 3261) and we should definitely state this is the policy.
> 
> 2)	Adam tells me that he thinks the list of addressed issues in the Appendixes to this document (which I believe come from various issue trackers like SIPIT) is pretty much complete. I would therefore suggest to take this as the stated scope of the work, unless the WG now identifies other issues. This is both the current Appendix B and Appendix C.
> 
> Note that the scope of the work could always be extended by consensus call later, but we do need to avoid open ended work items where we keep adding new tasks as the work progresses.
> 
> 
> I would like to understand some of the clause numbering changes in the document, because some of the changes that have occurred are less than helpful in identifying real differences between the two documents. Maybe Adam can talk me through this during IETF.
> 
> Finally there is one requirement in RFC 5367 that updates RFC 3265. What are we going to do with that requirement.
> 
> regards
> 
> Keith
> 
> 
> 
>> -----Original Message-----
>> From: [email-masked] 
>> [mailto:[email-masked]] On Behalf Of Gonzalo Camarillo
>> Sent: Monday, July 27, 2009 1:11 PM
>> To: SIPCORE
>> Subject: Re: [sipcore] Milestone to revise RFC 3265: Conclusion
>>
>> Folks,
>>
>> the WG item version of this draft has just been submitted. I 
>> would like to see discussions about the scope of this effort, 
>> per my previous email below.
>>
>> http://www.ietf.org/id/draft-ietf-sipcore-rfc3265bis-00.txt
>>
>> Thanks,
>>
>> Gonzalo
>> SIPCORE co-chair
>>
>> Gonzalo Camarillo wrote:
>>> Hi,
>>>
>>> based on all the responses received, there is agreement that the WG 
>>> should work on revising RFC 3265 and that this draft is a good 
>>> starting point for that. Therefore, I will ask our ADs to add a 
>>> milestone to revise RFC 3265 and the author of the draft to 
>> submit it 
>>> as a SIPCORE WG item.
>>>
>>> Keith brought up two good questions about the scope of this effort 
>>> that we need to resolve (while he agrees on a limited-scope update 
>>> that would preserve backwards compatibility, he would object to a 
>>> wider scope). The first discussions on this topic need to deal with 
>>> those questions in order to reach an agreement on the 
>> actual scope of this effort.
>>> Thanks,
>>>
>>> Gonzalo
>>> SIPCORE cochair
>>>
>>>
>>> Gonzalo Camarillo wrote:
>>>> Folks,
>>>>
>>>> since the publication of RFC 3265, we have gotten significant 
>>>> experience deploying SIP-based notification systems. It has been 
>>>> proposed to revise RFC 3265 based on that experience. We have two 
>>>> questions for the WG:
>>>>
>>>> 1) should we add a milestone to our charter to revise RFC 3265?
>>>>
>>>> 2) if we add such a milestone, should we take the 
>> following draft as 
>>>> the initial WG item for the milestone?
>>>>
>>>> http://tools.ietf.org/html/draft-roach-sipcore-rfc3265bis-00
>>>>
>>>> Thanks,
>>>>
>>>> Gonzalo
>>>> SIPCORE co-chair
>>>> _______________________________________________
>>>> sipcore mailing list
>>>> [email-masked]
>>>> https://www.ietf.org/mailman/listinfo/sipcore
>>>>
>>> _______________________________________________
>>> sipcore mailing list
>>> [email-masked]
>>> https://www.ietf.org/mailman/listinfo/sipcore
>>>
>> _______________________________________________
>> sipcore mailing list
>> [email-masked]
>> https://www.ietf.org/mailman/listinfo/sipcore
>>

---

From: Adam Roach <[email-masked]>
Date: Mon, 21 Sep 2009 08:37:33 -0500

[as an individual]

> 1)	rfc3625bis implementations are expected to be both forward and backward compatible with RFC 3265 implementations except where changes have been explicitly agreed to solve interoperability proble…

I agree with this principle. You will see this, for example, reflected 
in section 4.5.2 of the current draft.

> 2)	Adam tells me that he thinks the list of addressed issues in the Appendixes to this document (which I believe come from various issue trackers like SIPIT) is pretty much complete. I would theref…

I agree with this scope.

> I would like to understand some of the clause numbering changes in the document, because some of the changes that have occurred are less than helpful in identifying real differences between the two…

3265 was broken up along protocol lines ("Here's how you do SUBSCRIBE. 
Now, here's how you do NOTIFY"). Based on implementor feedback, I've 
rearranged the bis along implementation lines ("Here's what a subscriber 
does. Here's what a notifier does"). This saves implementors the work of 
digging through normative behavior for things they're not interested in.

> Finally there is one requirement in RFC 5367 that updates RFC 3265. What are we going to do with that requirement.

I presume you mean inclusion of Call-Info in NOTIFY? We should probably 
put that in 3265bis.

/a